Skip site navigation (1) Skip section navigation (2)

Re: Time to finalize patches for 8.4 beta

From: KaiGai Kohei <kaigai(at)kaigai(dot)gr(dot)jp>
To: Bruce Momjian <bruce(at)momjian(dot)us>
Cc: PostgreSQL-development <pgsql-hackers(at)postgresql(dot)org>
Subject: Re: Time to finalize patches for 8.4 beta
Date: 2009-01-24 16:24:36
Message-ID: 497B40C4.1070307@kaigai.gr.jp (view raw or flat)
Thread:
Lists: pgsql-hackers
Bruce Momjian wrote:
> KaiGai Kohei wrote:
>> Bruce Momjian wrote:
>>> Now that we are two months into the final commit fest, it is time to
>>> finalize all the open patches so we can target a February beta.
>>>
>>> The two major outstanding patches are:
>>>
>>> 	o  SE-PostgreSQL:  The author has done an outstanding job of
>>> reworking the patch so the burden is now on the community.  We have to
>>> decide if we want to add this amount of new code to have both SQL row
>>> permissions and SE-Linux support.
>>>
>>> 	o Recovery, Replication, Hot Standby:  We need a _final_ version
>>> of any patches that are targeted for 8.4.  There is so much activity in
>>> this area I am unclear what is ready for 8.4.
>>>
>>> I think the remaining patches can be addressed pretty easily but we need
>>> final versions from any authors who are still adjusting them.
>>>
>>> Let's see what we can get done in the next two weeks and reevaluate.
>>  From the recent pgsql-hackers, it seems me people implicitly considers
>> the last commit-fest is forcibly called off at end of the January.
> 
> No, we still have many people working on patches and the commit-fest is
> going to extend into February.

All right, I'll prepare the discussion on the list.

I know a few SELinux developers good for database also, so I would forward
the message to them. They are surely experts in security field.

Thanks,

> I am about to post to the 'announce' list saying discussion on this
> patch will begin on Wednesday, at 12:00 GMT.  The text is below:
> 
> ---------------------------------------------------------------------------
> 
> The PostgreSQL community is considering including security enhancements
> in Postgres 8.4, e.g. row-level permissions and SE-Linux security. 
> However, to evaluate the patch and its usefulness, we need security
> experts who want to use this capability or have used it in other
> databases.
> 
> The most recent version of the patch is mentioned here:
> 
> 	http://archives.postgresql.org/pgsql-hackers/2009-01/msg01680.php
> 
> Particularly interesting is the documentation patch:
> 
> 	http://sepgsql.googlecode.com/files/sepostgresql-docs-8.4devel-3-r1460.patch

Also, http://wiki.postgresql.org/wiki/SEPostgreSQL

> 
> If you know someone who is interested in these features or can help in
> discussing them, please have them subscribe to pgsql-hackers here:
> 
> 	http://www.postgresql.org/community/lists/subscribe
> 
> Email discussion about this topic will start on Wednesday, 12:00 GMT,
> and will include the subject text "SE-PostgreSQL".
> 
> 


-- 
KaiGai Kohei <kaigai(at)kaigai(dot)gr(dot)jp>

In response to

pgsql-hackers by date

Next:From: Jeff DavisDate: 2009-01-24 18:50:15
Subject: More FOR UPDATE/FOR SHARE problems
Previous:From: Grzegorz JaskiewiczDate: 2009-01-24 15:43:10
Subject: Re: Time to finalize patches for 8.4 beta

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group